update personal details
1 min
PATCH
https://api.upstartcommerce.com/v1/customer/profile
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobject
200<p>Success-consumer's profile updated.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request PATCH \
--url https://api.upstartcommerce.com/v1/customer/profile \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"name": {
"first": "John",
"last": "Smith"
}
}'